# Johnny-Five Component Plugins



## Plugin Example


```js
module.exports = function(five) {
  return (function() {
    
    function Component(opts) {

      // Define Component initialization 

      if (!(this instanceof Component)) {
        return new Component(opts);
      }

      // Board.Device
      //    - Register the component with an 
      //      existing Board instance. 
      //
      // Board.Options
      //    - Normalize incoming options
      //      - Convert string or number pin values
      //
      Board.Device.call(
        this, opts = Board.Options(opts)
      );

    }



    return Component;
  }());
};

